            <div class='row'>
                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('title')
                       -> label(trans('offer::offer.label.title'))
                       -> required()
                       -> placeholder(trans('offer::offer.placeholder.title'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                    {!! Form::select('status')
                    -> options(trans('offer::offer.options.status'))
                    -> label(trans('offer::offer.label.status'))
                    -> placeholder(trans('offer::offer.placeholder.status'))!!}
               </div>

                <div class='col-md-12 col-sm-12'>
                    <div class="form-group">
                        <label for="file" class="control-label col-lg-12 col-sm-12 text-left"> {{trans('offer::offer.label.pdf') }}
                        </label>
                        <div class='col-lg-3 col-sm-12'>
                            {!! $offer->files('file')
                            ->mime(config('filer.allowed_extensions'))
                            ->url($offer->getUploadUrl('file'))
                            ->dropzone()!!}
                        </div>
                        <div class='col-lg-7 col-sm-12'>
                            {!! $offer
                            ->files('file')
                            ->editor()!!}
                        </div>
                    </div>
                </div>
                <div class='col-md-12'>
                    {!! Form::textarea('description')
                    -> label(trans('offer::offer.label.description'))
                    -> dataUpload(trans_url($offer->getUploadURL('description')))
                    -> addClass('html-editor')
                    -> placeholder(trans('offer::offer.placeholder.description'))!!}
                </div>
            </div>