            @include('offer::public.offer.partial.header')

            <section class="single">
                <div class="container">
                    <div class="row">
                        <div class="col-md-3">
                            @include('offer::public.offer.partial.aside')
                        </div>
                        <div class="col-md-9 ">
                            <div class="area">
                                <div class="item">
                                    <div class="feature">
                                        <img class="img-responsive center-block" src="{!!url($offer->defaultImage('images' , 'xl'))!!}" alt="{{$offer->title}}">
                                    </div>
                                    <div class="content">
                                        <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="id">
                    {!! trans('offer::offer.label.id') !!}
                </label><br />
                    {!! $offer['id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="title">
                    {!! trans('offer::offer.label.title') !!}
                </label><br />
                    {!! $offer['title'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="status">
                    {!! trans('offer::offer.label.status') !!}
                </label><br />
                    {!! $offer['status'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="slug">
                    {!! trans('offer::offer.label.slug') !!}
                </label><br />
                    {!! $offer['slug'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="image">
                    {!! trans('offer::offer.label.image') !!}
                </label><br />
                    {!! $offer['image'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="pdf">
                    {!! trans('offer::offer.label.pdf') !!}
                </label><br />
                    {!! $offer['pdf'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="description">
                    {!! trans('offer::offer.label.description') !!}
                </label><br />
                    {!! $offer['description'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="user_type">
                    {!! trans('offer::offer.label.user_type') !!}
                </label><br />
                    {!! $offer['user_type'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="user_id">
                    {!! trans('offer::offer.label.user_id') !!}
                </label><br />
                    {!! $offer['user_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="created_at">
                    {!! trans('offer::offer.label.created_at') !!}
                </label><br />
                    {!! $offer['created_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="updated_at">
                    {!! trans('offer::offer.label.updated_at') !!}
                </label><br />
                    {!! $offer['updated_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="deleted_at">
                    {!! trans('offer::offer.label.deleted_at') !!}
                </label><br />
                    {!! $offer['deleted_at'] !!}
            </div>
        </div>
    </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('title')
                       -> label(trans('offer::offer.label.title'))
                       -> required()
                       -> placeholder(trans('offer::offer.placeholder.title'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                    {!! Form::select('status')
                    -> options(trans('offer::offer.options.status'))
                    -> label(trans('offer::offer.label.status'))
                    -> placeholder(trans('offer::offer.placeholder.status'))!!}
               </div>

                <div class='col-md-12 col-sm-12'>
                    <div class="form-group">
                        <label for="file" class="control-label col-lg-12 col-sm-12 text-left"> {{trans('offer::offer.label.pdf') }}
                        </label>
                        <div class='col-lg-3 col-sm-12'>
                            {!! $offer->files('file')
                            ->mime(config('filer.allowed_extensions'))
                            ->url($offer->getUploadUrl('file'))
                            ->dropzone()!!}
                        </div>
                        <div class='col-lg-7 col-sm-12'>
                            {!! $offer
                            ->files('file')
                            ->editor()!!}
                        </div>
                    </div>
                </div>
                <div class='col-md-12'>
                    {!! Form::textarea('description')
                    -> label(trans('offer::offer.label.description'))
                    -> dataUpload(trans_url($offer->getUploadURL('description')))
                    -> addClass('html-editor')
                    -> placeholder(trans('offer::offer.placeholder.description'))!!}
                </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>



